Name:		zz_cacerts_for_slf
Version:	1
Release:	0%{?dist}
Summary:	A list of CA Certs that SLF systems can trust by default

Group:		System Environment/Base
License:	GPL
URL:		http://fermilinux.fnal.gov
Source0:	%{name}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

BuildRequires:	nss-tools expect
Requires:	nss

%description
This package adds a list of approved Fermilab CAs to the default trust list of:
 - firefox

The certificates it imports are also placed in %{_docdir}/%{name}-%{version}
for others to have ready access if they require them.

%prep
%setup -q -n %{name}


%build
# Initial build of a certdb is interactive to prevent abuse
# so I'm using expect to make it non-interactive
./makedb.exp

# import all PEM files in the archive into the new db
# give them full trust for SSL, Email, Signed Object files
for i in `ls *.pem`; do
  certutil -t "CT,CT,CT" -n "$i" -A -d . < $i
done

%install
# firefox looks here for extra files
install -D -m 0644 cert8.db %{buildroot}/%{_prefix}/lib/firefox/browser/defaults/profile/cert8.db


# make for 64bit too, now this is a noarch package!
mkdir -p %{buildroot}/%{_prefix}/lib64/firefox/browser/defaults/profile
ln %{buildroot}/%{_prefix}/lib/firefox/browser/defaults/profile/cert8.db %{buildroot}/%{_prefix}/lib64/firefox/browser/defaults/profile


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.pem
%{_prefix}/lib/firefox/browser/defaults/profile/cert8.db
%{_prefix}/lib64/firefox/browser/defaults/profile/cert8.db



%changelog
* Mon Feb 10 2014 Pat Riehecky <riehecky@fnal.gov> 1.0
- Initial build per RITM0086897
